
D4Science Infrastructure - Incident #8883

Nginx portal cluster change for supporting large file upload must be reviewed as nginx would not

start 

Jun 08, 2017 06:35 PM - Massimiliano Assante

Status: Closed Start date: Jun 08, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: D4Science Infrastructure Upgrade to

gCube 4.5

  

Infrastructure: Development, Pre-Production,

Production

  

Description

It seems We just had a problem with the editing made by @tommaso.piccioli@isti.cnr.it to make nginx support  large file uploads.

The nginx on infra-gateway1 was down and would not restart today.

History

#1 - Jun 09, 2017 07:11 PM - Andrea Dell'Amico

- Status changed from New to In Progress

I'm adding the config option client_body_temp_path http://nginx.org/en/docs/http/ngx_http_core_module.html#client_body_temp_path to the infra dev

configurations.

#2 - Jun 09, 2017 07:21 PM - Andrea Dell'Amico

- % Done changed from 0 to 60

- Infrastructure Development, Pre-Production added

The new configuration is running on both dev2 and dev3. Can anybody test?

#3 - Jun 09, 2017 07:46 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 60 to 100

Installed on the preprod and production servers too.

The new temporary directory is /tmp/nginx_temp, and a two levels structure will be created by the upload operations.
